Cant update to 2.1?

Ask here if you experience technical problems with X³: Terran Conflict or X³: Albion Prelude.

Moderators: timon37, Moderators for English X Forum

Post Reply
Ato
Posts: 15
Joined: Mon, 29. Dec 08, 01:07

Cant update to 2.1?

Post by Ato » Sun, 14. Jun 09, 06:32

Hi

I have 2.0, but when I hit the Check for Updates button and get taken to the page where I've updated my game from before now, it tells me that I dont need to update as I have 2.0 which is the latest version of the game available.

Obviously 2.0 is not the latest version. So how can I update my game please?


Ato
Posts: 15
Joined: Mon, 29. Dec 08, 01:07

Post by Ato » Sun, 14. Jun 09, 07:50

Cheers.

I did actually know of that page's existence >_> but I thought it should work through pressing the Check for Update button. Guess Egosoft didnt include that.

Nevermind all good now.

Thanks again.

Post Reply

Return to “X³: Terran Conflict / Albion Prelude - Technical Support”